---
title: Currency
description: >-
  Retrieve a list of enabled currencies and the time when their conversion rate
  was last updated.
api_version: 2026-01
source_url:
  html: 'https://shopify.dev/docs/api/admin-rest/latest/resources/currency'
  md: 'https://shopify.dev/docs/api/admin-rest/latest/resources/currency.md'
api_name: admin-rest
api_type: rest
---

The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the [GraphQL Admin API](https://shopify.dev/docs/api/admin-graphql). For details and migration steps, visit our [migration guide](https://shopify.dev/docs/apps/build/graphql/migrate).

# Currency

Merchants who use Shopify Payments can allow customers to pay in their local currency on the online store. When a customer selects a currency, all prices on the online store and checkout are automatically converted to that currency. Merchants enable the currencies that they want to offer to customers from their Shopify Payments settings.

The Currency resource represents a currency that the merchant has enabled. For each enabled currency, the Currency resource returns the currency code and the time when its conversion rate was last updated.

\#

## Endpoints

* [get](https://shopify.dev/docs/api/admin-rest/latest/resources/currency.md#get-currencies)

  [/admin/api/latest/currencies.​json](https://shopify.dev/docs/api/admin-rest/latest/resources/currency.md#get-currencies)

  Retrieves a list of currencies enabled on a shop

  [shop](https://shopify.dev/docs/api/admin-graphql/latest/queries/shop?example=retrieves-a-list-of-currencies-enabled-on-a-shop)

***

## The Currency resource

### Properties

***

currency

->[currencyCode](https://shopify.dev/docs/api/admin-graphql/latest/objects/CurrencySetting#field-CurrencySetting.fields.currencyCode)

The three-letter code ([ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format) for the currency associated with this setting.

***

rate\_updated\_at

->[rateUpdatedAt](https://shopify.dev/docs/api/admin-graphql/latest/objects/CurrencySetting#field-CurrencySetting.fields.rateUpdatedAt)

The date and time ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format) when the conversion rate associated with this currency was last updated. If manual FX rates are active on a shop, then the updated date of these rates will replace the automatic conversion rates. Conversion rates are checked every 15 minutes, but typically updated only a few times a day. Manual FX rates are updated at the merchant's request.

***

{}

## The Currency resource

```json
{
  "currency": "JPY",
  "rate_updated_at": "2018-10-03T14:44:08-04:00"
}
```

***

## getRetrieves a list of currencies enabled on a shop

[shop](https://shopify.dev/docs/api/admin-graphql/latest/queries/shop?example=retrieves-a-list-of-currencies-enabled-on-a-shop)

Retrieves a list of currencies enabled on a shop

### Parameters

***

api\_version

**string**

**required**

***

### Examples

### Retrieve a list of currencies enabled on a shop

get

## /admin/api/2026-01/currencies.​json

```bash
curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/currencies.json" \
-H "X-Shopify-Access-Token: {access_token}"
```

{}

## Response

JSON

```json
HTTP/1.1 200 OK
{
  "currencies": [
    {
      "currency": "CAD",
      "rate_updated_at": "2018-01-23T19:01:01-05:00",
      "enabled": true
    },
    {
      "currency": "EUR",
      "rate_updated_at": "2018-01-23T19:01:01-05:00",
      "enabled": true
    },
    {
      "currency": "JPY",
      "rate_updated_at": "2018-01-23T19:01:01-05:00",
      "enabled": true
    }
  ]
}
```

### examples

* #### Retrieve a list of currencies enabled on a shop

  #####

  ```curl
  curl -X GET "https://your-development-store.myshopify.com/admin/api/2026-01/currencies.json" \
  -H "X-Shopify-Access-Token: {access_token}"
  ```

  #### response

  ```json
  HTTP/1.1 200 OK{"currencies":[{"currency":"CAD","rate_updated_at":"2018-01-23T19:01:01-05:00","enabled":true},{"currency":"EUR","rate_updated_at":"2018-01-23T19:01:01-05:00","enabled":true},{"currency":"JPY","rate_updated_at":"2018-01-23T19:01:01-05:00","enabled":true}]}
  ```
